import { CalendarDateComarison, compareCalendarDates, } from "./compareCalendarDates";
export const getEarliestCalendarDate = (calendarDates) => {
    if (calendarDates.length === 0) {
        throw new Error("No calendar dates provided");
    }
    const earliestCalendarDate = calendarDates.reduce((earliestCalendarDate, calendarDate) => {
        if (compareCalendarDates({
            firstCalendarDate: calendarDate,
            secondCalendarDate: earliestCalendarDate,
        }) === CalendarDateComarison.FIRST_DATE_OCCURS_BEFORE_SECOND_DATE) {
            return calendarDate;
        }
        return earliestCalendarDate;
    }, calendarDates[0]);
    return earliestCalendarDate;
};
//# sourceMappingURL=getEarliestCalendarDate.js.map